<?php
include("includes/session.php");
include("includes/checksession.php");
?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
	<title>Отчет</title>
<?php 
include("fhd_config.php");
include("includes/header.php");
include("includes/all-nav.php");
include("includes/functions.php");
include("includes/ez_sql_core.php");
include("includes/ez_sql_mysqli.php");
$searchquery = "";
$colspan = 2;
$num = "";
/*if($user_level == 1){
	$searchquery = " AND call_user = $user_id";
	$colspan = 1;
}*/

$db = new ezSQL_mysqli(db_user,db_password,db_name,db_host); 
$db->query("SET NAMES 'utf8'");
//<SEARCHQUERY>
if (isset($_GET['search'])){
	$call_status = $db->escape((int)($_GET['call_status']));
	$call_date1 = strtotime($_GET['call_date1']);
	$call_date2 = strtotime($_GET['call_date2']);

	if ($call_date2 == "") {
		$call_date2 = $call_date1;
	}
	
	$call_request = $db->escape((int)($_GET['call_request']));
	$call_device = $db->escape((int)($_GET['call_device']));
	$call_company = $db->escape(($_GET['call_company']));
	if ($_GET['call_status'] <> '') {$searchquery .= " AND (call_status = $call_status)";};
	if (!empty($call_date1)) {$searchquery .= " AND (call_date BETWEEN $call_date1 AND $call_date2)";};
	if (!empty($call_department)) {$searchquery .= " AND (call_department = $call_department)";};
	if (!empty($call_request)) {$searchquery .= " AND (call_request = $call_request)";};
	if (!empty($call_device)) {$searchquery .= " AND (call_device = $call_device)";};
	if (!empty($call_company)) {$searchquery .= " AND (call_company = '$call_company')";};
	$searchquery .= (" order by call_status asc LIMIT 50;");
	//echo $searchquery;
	$site_calls = $db->get_results("Select * from site_calls WHERE 1=1 $searchquery");
	//$db->debug();
	$num = $db->num_rows;
	
	if($num ==0) echo "Ничего не найдено";
}
//</SEARCHQUERY>
if ($num > 0){
//<RESULTS>
?>
<table class="<?php echo $table_style_3;?>" style='width: auto;'>
<tr>
	<th>Статус</th>
    <th>Организация</th>
    <th>Тип заявки</th>
    <th>Устройство</th>
    <th>Всего</th>
	<th>Активные</th>
	<th>Завершенные</td>
	<th>Удаленные</th>
</tr>
<?php
if ($_GET['call_status'] <> '') call_status($call_status);
else $call_status = "Любой";

if($_GET['call_company'] <> '') $call_company = "Любая";
else $call_company = "Любая";

if($_GET['call_request'] <> '')
{
	$call_request = $db->get_results("select type_id,type_name from site_types where type=2 and type_id = {$call_request} order by type_name;");
	$call_request = $call_request[0]->type_name;
}
else $call_request = "Любой";

if($_GET['call_device'] <> '')
{
	$call_device = $db->get_results("select type_id,type_name from site_types where type=3 and type_id = {$call_device} order by type_name;");
	$call_device = $call_device[0]->type_name;
}
else $call_device = "Любое";

$call_active = $call_closed = $call_deleted = 0;
foreach ( $site_calls as $call )
{
	if($call->call_status == 0) $call_active++;
	if($call->call_status == 1) $call_closed++;
	if($call->call_status == 3) $call_deleted++;
}

echo "<td>".call_status($call_status)."</td><td>$call_company</td><td>$call_request</td><td>$call_device</td><td>$num</td><td>$call_active</td><td>$call_closed</td><td>$call_deleted</td>";
?>
</table>
<?php }
//</RESULTS>
?>

<h4 id="searchform"><i class='fa fa-search'></i> Поиск заявок</h4>

<form action="fhd_reports.php" method="get" name="chooseDateForm" class="form-horizontal">
<table class="<?php echo $table_style_3;?>" style='width: auto;'>
	<tr><td style="vertical-align: top">Статус</td>
	<td><select name='call_status' class="input-small">
	<option value="">Любой статус</option>
	<option value='0' selected>Активна</option>
	<option value='1'>Завершена</option>
	<option value='3'>Удалена</option>
	</select>
	</td></tr>
	<tr>
	<td>Подана в период с</td>
	<td><input type="text" name="call_date1" id="datepicker" class="input-small"></td>
	</tr>		
	
	<tr>
	<td>По</td>
	<td><input type="text" name="call_date2" id="datepicker2" class="input-small"></td></tr>
	
    <tr><td>Организация</td><td><select name='call_company'>
	<option value="">Любая</option>
	<?php $company_name = $db->get_results("select call_company from site_calls where call_company != '' group by call_company");
foreach ($company_name as $company )
{?>
	<option value='<?php echo $company->call_company;?>'><?php echo $company->call_company;?></option>
<?php } ?>
	</select></td></tr>
    
	<tr><td>Тип заявки</td><td><select name='call_request'>
	<option value="">Любой</option>
	<?php $request_name = $db->get_results("select type_id,type_name from site_types where type=2 order by type_name;");
foreach ($request_name as $request )
{?>
	<option value='<?php echo $request->type_id;?>'><?php echo $request->type_name;?></option>
<?php } ?>
	</select></td></tr>

	<tr><td>Устройство</td><td><select name='call_device'>
	<option value="">Любое</option>	
	<?php $device_name = $db->get_results("select type_id,type_name from site_types where type=3 order by type_name;");
foreach ($device_name as $device )
{?>
	<option value='<?php echo $device->type_id;?>'><?php echo $device->type_name;?></option>
<?php } ?>
	</select></td></tr>
</table>
<input type="hidden" name="search" value="1">
<input type="submit" value="Найти" class="btn btn-primary">
</form>
<br>
<?php
if(isset($_SESSION['user_name'])){
	
	echo "" . $_SESSION['user_name'] . "";
}
include("includes/footer.php");